## org.eclipse.papyrus.emf.facet.query.ocl.metamodel.oclquery
Interface OclQuery

    public interface OclQuery

A representation of the model object 'Ocl Query'.

The following features are supported:

- `Context`
- `Ocl Expression`

See Also:
  `OclQueryPackage.getOclQuery()`
Generated:
Model:

Method Summary
`EClassifier` `getContext()` Returns the value of the 'Context' reference.
`java.lang.String` `getOclExpression()` Returns the value of the 'Ocl Expression' attribute.
`void` `setContext(EClassifier value)` Sets the value of the '`Context`' reference.
`void` `setOclExpression(java.lang.String value)` Sets the value of the '`Ocl Expression`' attribute.
`java.lang.String` `toString()`

Method Detail

### getContext

    EClassifier getContext()

  Returns the value of the 'Context' reference.

  If the meaning of the 'Context' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Context' reference.
  See Also:
    `setContext(EClassifier)`, `OclQueryPackage.getOclQuery_Context()`
  Generated:
  Model:

### setContext

    void setContext(EClassifier value)

  Sets the value of the '`Context`' reference.

  Parameters:
    `value` - the new value of the 'Context' reference.
  See Also:
    `getContext()`
  Generated:

### getOclExpression

    java.lang.String getOclExpression()

  Returns the value of the 'Ocl Expression' attribute.

  If the meaning of the 'Ocl Expression' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Ocl Expression' attribute.
  See Also:
    `setOclExpression(String)`, `OclQueryPackage.getOclQuery_OclExpression()`
  Generated:
  Model:

### setOclExpression

    void setOclExpression(java.lang.String value)

  Sets the value of the '`Ocl Expression`' attribute.

  Parameters:
    `value` - the new value of the 'Ocl Expression' attribute.
  See Also:
    `getOclExpression()`
  Generated:

### toString

    java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Generated:
  Model:
    annotation="http://www.eclipse.org/emf/2002/GenModel body='return getOclExpression();'"